Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::VectorSpace Class Referenceabstract

VectorSpace base class, corresponding to the Vector base class. More...

`#include <IpVector.hpp>`

Inheritance diagram for Ipopt::VectorSpace:
[legend]

## Public Member Functions
virtual Vector * | MakeNew () const =0
| Pure virtual method for creating a new Vector of the corresponding type. More...
Index | Dim () const
| Accessor function for the dimension of the vectors of this type. More...
Constructors/Destructors
| VectorSpace (Index dim)
| Constructor, given the dimension of all vectors generated by this VectorSpace. More...
virtual | ~VectorSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| VectorSpace ()
| default constructor More...
| VectorSpace (const VectorSpace &)
| Copy constructor. More...
VectorSpace & | operator= (const VectorSpace &)
| Overloaded Equals Operator. More...

## Private Attributes
const Index | dim_
| Dimension of the vectors in this vector space. More...

## Detailed Description

VectorSpace base class, corresponding to the Vector base class.

For each Vector implementation, a corresponding VectorSpace has to be implemented. A VectorSpace is able to create new Vectors of a specific type. The VectorSpace should also store information that is common to all Vectors of that type. For example, the dimension of a Vector is stored in the VectorSpace base class.

Definition at line 390 of file IpVector.hpp.

## Constructor & Destructor Documentation

Ipopt::VectorSpace::VectorSpace | ( | Index | dim | ) |
| inline

Constructor, given the dimension of all vectors generated by this VectorSpace.

Definition at line 751 of file IpVector.hpp.

virtual Ipopt::VectorSpace::~VectorSpace | ( |  | ) |
| inline virtual

Destructor.

Definition at line 401 of file IpVector.hpp.

Ipopt::VectorSpace::VectorSpace | ( |  | ) |
| private

default constructor

Ipopt::VectorSpace::VectorSpace | ( | const VectorSpace & |  | ) |
| private

Copy constructor.

## Member Function Documentation

virtual Vector* Ipopt::VectorSpace::MakeNew | ( |  | ) | const
| pure virtual

Pure virtual method for creating a new Vector of the corresponding type.

Implemented in Ipopt::IteratesVectorSpace, Ipopt::DenseVectorSpace, and Ipopt::CompoundVectorSpace.

Index Ipopt::VectorSpace::Dim | ( |  | ) | const
| inline

Accessor function for the dimension of the vectors of this type.

Definition at line 411 of file IpVector.hpp.

VectorSpace& Ipopt::VectorSpace::operator= | ( | const VectorSpace & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

const Index Ipopt::VectorSpace::dim_
| private

Dimension of the vectors in this vector space.

Definition at line 436 of file IpVector.hpp.

The documentation for this class was generated from the following file:

- src/LinAlg/IpVector.hpp